# in?

A simple inventory system.

It uses `fastapi`, `sqlalchemy` and `sqlite`.

## Run

```sh
docker build -t in .
docker run -p 127.0.0.1:8000:8000 -it in
```

Then visit http://127.0.0.1:8000/.

The database lives at `inventory.sqlite3` (at `/app/` inside the container).

## Development

```sh
python -m pip install -r requirements.txt
uvicorn main:app --reload
```

API documentation is generated at http://127.0.0.1:8000/docs or http://127.0.0.1:8000/redoc.
